Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws
Interface Correlation

All Superinterfaces:
  XmlSerializable

All Known Implementing Classes:
  MatchCorrelation, XPathCorrelation

public interface Correlation
extends XmlSerializable

Correlation represents the expression in one instance of the CorrelatableProperties resource property. Instances of this type can be used to determine if two endpoints point to the same resource instance.

Author:
  Dan Jemiolo (danj)

Method Summary
`java.lang.String` | `getDialect()`
`WsResource` | `getWsResource()`
`boolean` | `hasNegativeAssertion()`
`boolean` | `matches(EndpointReference epr)`

Methods inherited from interface org.apache.muse.util.xml.XmlSerializable
`toXML, toXML`

Method Detail

### getDialect

    public java.lang.String getDialect()
                                throws BaseFault

  Returns:
    The dialect, or type, of the correlation expression. Users may define their own correlation types and declare the syntax with this method.
  Throws:
    `BaseFault`

### getWsResource

    public WsResource getWsResource()

  Returns:
    The local resource that is defining the CorrelatableProperties capability and, thus, this correlation expression.

### hasNegativeAssertion

    public boolean hasNegativeAssertion()
                                 throws BaseFault

  Returns:
    True if there is a guarantee that two resources are not the same when matches(Resource) returns 'false'. If this method returns 'false', the caller must rely on some other means to confirm that the resources are, in fact, different.
  Throws:
    `BaseFault`

### matches

    public boolean matches(EndpointReference epr)
                    throws SoapFault

  Parameters:
    `epr` - The EPR of another resource which may be the same as this resource.
  Returns:
    True if the two resources are the same according to their WSDM ResourceId values or their WSDM CorrelatableProperties expressions. Note that if the method returns 'false', this does not guarantee that the two resources are actually different - you can only confirm this by checking with the hasNegativeAssertions() method.
  Throws:
    `SoapFault` -
    - If there is a problem reading the correlatable properties from either resource.
    - If the values or dialects of the correlatable properties are not supported. The built-in dialects are WSDM Property Boolean Match (PBM) and XPath 1.0.
  See Also:
    `hasNegativeAssertion()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD